language: php

php:
  - 7.2
  - 7.3
  - 7.4snapshot
  - nightly

env:
  global:
    - PHPUNIT_BIN='bin/phpunit'
    - PHPUNIT_CONFIG='phpunit.xml.dist'
    - PHPUNIT_FLAGS='--stop-on-failure --verbose'

matrix:
  include:
    - php: '7.3'
      env:
          - PHPUNIT_FLAGS="--stop-on-failure --verbose --coverage-text --coverage-clover=coverage.xml"
  allow_failures:
    - php: nightly

before_script:
  - composer config --global repo.packagist composer https://packagist.org
  - composer install

script : $PHPUNIT_BIN -c $PHPUNIT_CONFIG $PHPUNIT_FLAGS

after_script:
  - |
    if [ -f "coverage.xml" ]; then
      echo 'sending clover to Scrutinizer'
      wget https://scrutinizer-ci.com/ocular.phar
      php ocular.phar code-coverage:upload --format=php-clover coverage.xml
      echo 'done'
    fi
